## fusion 1.2.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)
project(Fusion)

add_subdirectory("Fusion")
add_subdirectory("Examples/Advanced")
add_subdirectory("Examples/Simple")
if(CMAKE_BUILD_TYPE STREQUAL "Debug")
    add_subdirectory("Python/Python-C-API") # do not include when run by CI
endif()

=== Fusion/CMakeLists.txt ===
file(GLOB_RECURSE files "*.c")

add_library(Fusion ${files})

if(UNIX AND NOT APPLE)
    target_link_libraries(Fusion m) # link math library for Linux
endif()

=== Examples/Advanced/CMakeLists.txt ===
add_executable(Advanced-Example main.c)

target_link_libraries(Advanced-Example PRIVATE Fusion)

=== Examples/Simple/CMakeLists.txt ===
add_executable(Simple-Example main.c)

target_link_libraries(Simple-Example PRIVATE Fusion)

=== Python/Python-C-API/CMakeLists.txt ===
file(GLOB_RECURSE files "*.c")

add_library(imufusion ${files})

find_package(Python COMPONENTS NumPy)

target_include_directories(imufusion PRIVATE ${PYTHON_INCLUDE_PATH})

target_link_libraries(imufusion PRIVATE ${PYTHON_LIBRARIES} Python::NumPy)

=== debian/changelog ===
fusion (1.2.8-1) unstable; urgency=medium

  * Initial release. (Closes: #1115649)

 -- Ahmad Khalifa <ahmad@khalifa.ws>  Sun, 28 Sep 2025 21:55:16 +0100

=== debian/control ===
Source: fusion
Section: libs
Priority: optional
Maintainer: Ahmad Khalifa <ahmad@khalifa.ws>
Build-Depends: debhelper-compat (= 13), cmake
Standards-Version: 4.7.2
Homepage: https://github.com/xioTechnologies/Fusion
Vcs-Browser: https://salsa.debian.org/ahmadkhalifa/fusion
Vcs-Git: https://salsa.debian.org/ahmadkhalifa/fusion.git

Package: libfusion-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: sensor fusion library for IMUs (header files)
 C library for Inertial Measurement Units (IMUs), optimised for embedded
 systems. Also available as a Python package, python3-imufusion.
 .
 This package contains the C header files and static library.

=== debian/watch ===
version=4

opts="mode=git" \
    https://github.com/xioTechnologies/Fusion.git refs/tags/@ANY_VERSION@
